---
id: 'Banner'
section: components
cssPrefix: pf-c-banner
wrapperTag: div
---## Examples

### Basic

```html isFullscreen
<div class="pf-c-page" id="banner-basic-example">
  <a
    class="pf-c-skip-to-content pf-c-button pf-m-primary"
    href="#main-content-banner-basic-example"
  >Skip to content</a>
  <header class="pf-c-masthead" id="banner-basic-example-masthead">
    <span class="pf-c-masthead__toggle">
      <button
        class="pf-c-button pf-m-plain"
        type="button"
        aria-label="Global navigation"
      >
        <i class="fas fa-bars" aria-hidden="true"></i>
      </button>
    </span>
    <div class="pf-c-masthead__main">
      <a class="pf-c-masthead__brand" href="#">
        <picture
          class="pf-c-brand pf-m-picture"
          style="--pf-c-brand--Width: 180px; --pf-c-brand--Width-on-md: 180px; --pf-c-brand--Width-on-2xl: 220px;"
        >
          <source
            media="(min-width: 768px)"
            srcset="/assets/images/logo__pf--reverse-on-md.svg"
          />
          <source srcset="/assets/images/logo__pf--reverse--base.svg" />
          <img
            src="/assets/images/logo__pf--reverse--base.png"
            alt="Fallback patternFly default logo"
          />
        </picture>
      </a>
    </div>
    <div class="pf-c-masthead__content">
      <div
        class="pf-c-toolbar pf-m-full-height pf-m-static"
        id="banner-basic-example-masthead-toolbar"
      >
        <div class="pf-c-toolbar__content">
          <div class="pf-c-toolbar__content-section">
            <div
              class="pf-c-toolbar__group pf-m-icon-button-group pf-m-align-right pf-m-spacer-none pf-m-spacer-md-on-md"
            >
              <div
                class="pf-c-toolbar__group pf-m-icon-button-group pf-m-hidden pf-m-visible-on-lg"
              >
                <div class="pf-c-toolbar__item">
                  <nav
                    class="pf-c-app-launcher"
                    aria-label="Application launcher"
                    id="banner-basic-example-masthead-application-launcher"
                  >
                    <button
                      class="pf-c-app-launcher__toggle"
                      type="button"
                      id="banner-basic-example-masthead-application-launcher-button"
                      aria-expanded="false"
                      aria-label="Application launcher"
                    >
                      <i class="fas fa-th" aria-hidden="true"></i>
                    </button>
                    <div
                      class="pf-c-app-launcher__menu pf-m-align-right"
                      hidden
                    >
                      <div class="pf-c-app-launcher__menu-search">
                        <div class="pf-c-search-input">
                          <div class="pf-c-search-input__bar">
                            <span class="pf-c-search-input__text">
                              <span class="pf-c-search-input__icon">
                                <i
                                  class="fas fa-search fa-fw"
                                  aria-hidden="true"
                                ></i>
                              </span>
                              <input
                                class="pf-c-search-input__text-input"
                                type="text"
                                placeholder="Filter by name"
                                aria-label="Filter by name"
                              />
                            </span>
                          </div>
                        </div>
                      </div>
                      <section class="pf-c-app-launcher__group">
                        <h1 class="pf-c-app-launcher__group-title">Favorites</h1>
                        <ul>
                          <li
                            class="pf-c-app-launcher__menu-wrapper pf-m-external pf-m-favorite"
                          >
                            <a class="pf-c-app-launcher__menu-item">
                              Link 1
                              <span
                                class="pf-c-app-launcher__menu-item-external-icon"
                              >
                                <i
                                  class="fas fa-external-link-alt"
                                  aria-hidden="true"
                                ></i>
                              </span>
                              <span class="pf-screen-reader">(opens new window)</span>
                            </a>
                            <button
                              class="pf-c-app-launcher__menu-item pf-m-action"
                              type="button"
                              aria-label="Favorite"
                            >
                              <i class="fas fa-star" aria-hidden="true"></i>
                            </button>
                          </li>
                          <li
                            class="pf-c-app-launcher__menu-wrapper pf-m-external"
                          >
                            <a class="pf-c-app-launcher__menu-item">
                              Link 2
                              <span
                                class="pf-c-app-launcher__menu-item-external-icon"
                              >
                                <i
                                  class="fas fa-external-link-alt"
                                  aria-hidden="true"
                                ></i>
                              </span>
                              <span class="pf-screen-reader">(opens new window)</span>
                            </a>
                            <button
                              class="pf-c-app-launcher__menu-item pf-m-action"
                              type="button"
                              aria-label="Favorite"
                            >
                              <i class="fas fa-star" aria-hidden="true"></i>
                            </button>
                          </li>
                        </ul>
                      </section>
                      <hr class="pf-c-divider" />
                      <section class="pf-c-app-launcher__group">
                        <h1 class="pf-c-app-launcher__group-title">Group 1</h1>
                        <ul>
                          <li
                            class="pf-c-app-launcher__menu-wrapper pf-m-external"
                          >
                            <a class="pf-c-app-launcher__menu-item">
                              Link 1
                              <span
                                class="pf-c-app-launcher__menu-item-external-icon"
                              >
                                <i
                                  class="fas fa-external-link-alt"
                                  aria-hidden="true"
                                ></i>
                              </span>
                              <span class="pf-screen-reader">(opens new window)</span>
                            </a>
                            <button
                              class="pf-c-app-launcher__menu-item pf-m-action"
                              type="button"
                              aria-label="Favorite"
                            >
                              <i class="fas fa-star" aria-hidden="true"></i>
                            </button>
                          </li>
                          <li
                            class="pf-c-app-launcher__menu-wrapper pf-m-external pf-m-favorite"
                          >
                            <a class="pf-c-app-launcher__menu-item">
                              Link 2
                              <span
                                class="pf-c-app-launcher__menu-item-external-icon"
                              >
                                <i
                                  class="fas fa-external-link-alt"
                                  aria-hidden="true"
                                ></i>
                              </span>
                              <span class="pf-screen-reader">(opens new window)</span>
                            </a>
                            <button
                              class="pf-c-app-launcher__menu-item pf-m-action"
                              type="button"
                              aria-label="Favorite"
                            >
                              <i class="fas fa-star" aria-hidden="true"></i>
                            </button>
                          </li>
                        </ul>
                      </section>
                    </div>
                  </nav>
                </div>
                <div class="pf-c-toolbar__item">
                  <div class="pf-c-dropdown">
                    <button
                      class="pf-c-dropdown__toggle pf-m-plain"
                      id="banner-basic-example-masthead-settings-button"
                      aria-expanded="false"
                      type="button"
                      aria-label="Settings"
                    >
                      <i class="fas fa-cog" aria-hidden="true"></i>
                    </button>
                    <ul
                      class="pf-c-dropdown__menu pf-m-align-right"
                      aria-labelledby="banner-basic-example-masthead-settings-button"
                      hidden
                    >
                      <li>
                        <button
                          class="pf-c-dropdown__menu-item"
                          type="button"
                        >Settings</button>
                      </li>
                      <li>
                        <button
                          class="pf-c-dropdown__menu-item"
                          type="button"
                        >Use the beta release</button>
                      </li>
                    </ul>
                  </div>
                </div>
                <div class="pf-c-toolbar__item">
                  <div class="pf-c-dropdown">
                    <button
                      class="pf-c-dropdown__toggle pf-m-plain"
                      id="banner-basic-example-masthead-help-button"
                      aria-expanded="false"
                      type="button"
                      aria-label="Help"
                    >
                      <i class="fas fa-question-circle" aria-hidden="true"></i>
                    </button>
                    <ul
                      class="pf-c-dropdown__menu pf-m-align-right"
                      aria-labelledby="banner-basic-example-masthead-help-button"
                      hidden
                    >
                      <li>
                        <button
                          class="pf-c-dropdown__menu-item"
                          type="button"
                        >Support options</button>
                      </li>
                      <li>
                        <button
                          class="pf-c-dropdown__menu-item"
                          type="button"
                        >Open support case</button>
                      </li>
                      <li>
                        <button
                          class="pf-c-dropdown__menu-item"
                          type="button"
                        >API documentation</button>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
              <div class="pf-c-toolbar__item pf-m-hidden-on-lg">
                <div class="pf-c-dropdown">
                  <button
                    class="pf-c-menu-toggle pf-m-plain"
                    type="button"
                    aria-expanded="false"
                    aria-label="Actions"
                  >
                    <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                  </button>
                  <div class="pf-c-menu pf-m-drilldown pf-m-align-right" hidden>
                    <div class="pf-c-menu__content">
                      <section class="pf-c-menu__group pf-m-hidden-on-sm">
                        <ul class="pf-c-menu__list" role="menu">
                          <li
                            class="pf-c-menu__list-item pf-m-disabled"
                            role="none"
                          >
                            <button
                              class="pf-c-menu__item"
                              type="button"
                              disabled
                              role="menuitem"
                            >
                              <span class="pf-c-menu__item-description">
                                <div class="pf-u-font-size-sm">Username:</div>
                                <div class="pf-u-font-size-md">ned_username</div>
                              </span>
                            </button>
                          </li>
                          <li
                            class="pf-c-menu__list-item pf-m-disabled"
                            role="none"
                          >
                            <button
                              class="pf-c-menu__item"
                              type="button"
                              disabled
                              role="menuitem"
                            >
                              <span class="pf-c-menu__item-description">
                                <div class="pf-u-font-size-sm">Account number:</div>
                                <div class="pf-u-font-size-md">123456789</div>
                              </span>
                            </button>
                          </li>
                          <li class="pf-c-divider" role="separator"></li>
                          <li class="pf-c-menu__list-item" role="none">
                            <button
                              class="pf-c-menu__item"
                              type="button"
                              role="menuitem"
                            >
                              <span class="pf-c-menu__item-main">
                                <span class="pf-c-menu__item-text">My profile</span>
                              </span>
                            </button>
                          </li>
                          <li class="pf-c-menu__list-item" role="none">
                            <button
                              class="pf-c-menu__item"
                              type="button"
                              role="menuitem"
                            >
                              <span class="pf-c-menu__item-main">
                                <span
                                  class="pf-c-menu__item-text"
                                >User management</span>
                              </span>
                            </button>
                          </li>
                          <li class="pf-c-menu__list-item" role="none">
                            <button
                              class="pf-c-menu__item"
                              type="button"
                              role="menuitem"
                            >
                              <span class="pf-c-menu__item-main">
                                <span class="pf-c-menu__item-text">Logout</span>
                              </span>
                            </button>
                          </li>
                        </ul>
                      </section>
                      <hr class="pf-c-divider pf-m-hidden-on-sm" />
                      <section class="pf-c-menu__group">
                        <ul class="pf-c-menu__list" role="menu">
                          <li class="pf-c-menu__list-item" role="none">
                            <button
                              class="pf-c-menu__item"
                              type="button"
                              role="menuitem"
                              aria-expanded="false"
                            >
                              <span class="pf-c-menu__item-main">
                                <span class="pf-c-menu__item-icon">
                                  <i
                                    class="fas fa-fw fa-cog"
                                    aria-hidden="true"
                                  ></i>
                                </span>
                                <span class="pf-c-menu__item-text">Settings</span>
                                <span class="pf-c-menu__item-toggle-icon">
                                  <i class="fas fa-angle-right"></i>
                                </span>
                              </span>
                            </button>
                            <div class="pf-c-menu" hidden>
                              <div class="pf-c-menu__content">
                                <ul class="pf-c-menu__list" role="menu">
                                  <li
                                    class="pf-c-menu__list-item pf-m-drill-up"
                                    role="none"
                                  >
                                    <button
                                      class="pf-c-menu__item"
                                      type="button"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-toggle-icon"
                                        >
                                          <i class="fas fa-angle-left"></i>
                                        </span>
                                        <span class="pf-c-menu__item-icon">
                                          <i
                                            class="fas fa-fw fa-cog"
                                            aria-hidden="true"
                                          ></i>
                                        </span>
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Settings</span>
                                      </span>
                                    </button>
                                  </li>
                                  <li class="pf-c-divider" role="separator"></li>
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Customer support</span>
                                      </span>
                                    </a>
                                  </li>
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span class="pf-c-menu__item-text">About</span>
                                      </span>
                                    </a>
                                  </li>
                                </ul>
                              </div>
                            </div>
                          </li>

                          <li class="pf-c-menu__list-item" role="none">
                            <button
                              class="pf-c-menu__item"
                              type="button"
                              role="menuitem"
                              aria-expanded="false"
                            >
                              <span class="pf-c-menu__item-main">
                                <span class="pf-c-menu__item-icon">
                                  <i
                                    class="fas fa-fw fa-pf-icon pf-icon-help"
                                    aria-hidden="true"
                                  ></i>
                                </span>
                                <span class="pf-c-menu__item-text">Help</span>
                                <span class="pf-c-menu__item-toggle-icon">
                                  <i class="fas fa-angle-right"></i>
                                </span>
                              </span>
                            </button>
                            <div class="pf-c-menu" hidden>
                              <div class="pf-c-menu__content">
                                <ul class="pf-c-menu__list" role="menu">
                                  <li
                                    class="pf-c-menu__list-item pf-m-drill-up"
                                    role="none"
                                  >
                                    <button
                                      class="pf-c-menu__item"
                                      type="button"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-toggle-icon"
                                        >
                                          <i class="fas fa-angle-left"></i>
                                        </span>
                                        <span class="pf-c-menu__item-icon">
                                          <i
                                            class="fas fa-fw fa-pf-icon pf-icon-help"
                                            aria-hidden="true"
                                          ></i>
                                        </span>
                                        <span class="pf-c-menu__item-text">Help</span>
                                      </span>
                                    </button>
                                  </li>
                                  <li class="pf-c-divider" role="separator"></li>
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Support options</span>
                                      </span>
                                    </a>
                                  </li>
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Open support case</span>
                                      </span>
                                    </a>
                                  </li>
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-text"
                                        >API documentation</span>
                                      </span>
                                    </a>
                                  </li>
                                </ul>
                              </div>
                            </div>
                          </li>

                          <li class="pf-c-menu__list-item" role="none">
                            <button
                              class="pf-c-menu__item"
                              type="button"
                              role="menuitem"
                            >
                              <span class="pf-c-menu__item-main">
                                <span class="pf-c-menu__item-icon">
                                  <i class="fas fa-fw fa-th" aria-hidden="true"></i>
                                </span>
                                <span
                                  class="pf-c-menu__item-text"
                                >Application launcher</span>
                                <span class="pf-c-menu__item-toggle-icon">
                                  <i class="fas fa-angle-right"></i>
                                </span>
                              </span>
                            </button>
                            <div class="pf-c-menu" hidden>
                              <div class="pf-c-menu__header">
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  role="menuitem"
                                >
                                  <span class="pf-c-menu__item-main">
                                    <span class="pf-c-menu__item-toggle-icon">
                                      <i class="fas fa-angle-left"></i>
                                    </span>
                                    <span class="pf-c-menu__item-icon">
                                      <i
                                        class="fas fa-fw fa-th"
                                        aria-hidden="true"
                                      ></i>
                                    </span>
                                    <span
                                      class="pf-c-menu__item-text"
                                    >Application launcher</span>
                                  </span>
                                </button>
                              </div>
                              <div class="pf-c-menu__search">
                                <div class="pf-c-menu__search-input">
                                  <div class="pf-c-search-input">
                                    <div class="pf-c-search-input__bar">
                                      <span class="pf-c-search-input__text">
                                        <span class="pf-c-search-input__icon">
                                          <i
                                            class="fas fa-search fa-fw"
                                            aria-hidden="true"
                                          ></i>
                                        </span>
                                        <input
                                          class="pf-c-search-input__text-input"
                                          type="text"
                                          placeholder="Search"
                                          aria-label="Search"
                                        />
                                      </span>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <hr class="pf-c-divider" />
                              <section class="pf-c-menu__group">
                                <h1 class="pf-c-menu__group-title">Favorites</h1>
                                <ul class="pf-c-menu__list" role="menu">
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Link 1</span>
                                      </span>
                                    </a>
                                    <button
                                      class="pf-c-menu__item-action pf-m-favorite pf-m-favorited"
                                      type="button"
                                      aria-label="Starred"
                                    >
                                      <span class="pf-c-menu__item-action-icon">
                                        <i
                                          class="fas fa-star"
                                          aria-hidden="true"
                                        ></i>
                                      </span>
                                    </button>
                                  </li>
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                      target="_blank"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Link 2</span>
                                        <span
                                          class="pf-c-menu__item-external-icon"
                                        >
                                          <i
                                            class="fas fa-external-link-alt"
                                            aria-hidden="true"
                                          ></i>
                                        </span>
                                        <span
                                          class="pf-screen-reader"
                                        >(opens new window)</span>
                                      </span>
                                    </a>
                                    <button
                                      class="pf-c-menu__item-action pf-m-favorite"
                                      type="button"
                                      aria-label="Not starred"
                                    >
                                      <span class="pf-c-menu__item-action-icon">
                                        <i
                                          class="fas fa-star"
                                          aria-hidden="true"
                                        ></i>
                                      </span>
                                    </button>
                                  </li>
                                </ul>
                              </section>
                              <hr class="pf-c-divider" />
                              <section class="pf-c-menu__group">
                                <h1 class="pf-c-menu__group-title">Group 1</h1>
                                <ul class="pf-c-menu__list" role="menu">
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Link 1</span>
                                      </span>
                                    </a>
                                    <button
                                      class="pf-c-menu__item-action pf-m-favorite"
                                      type="button"
                                      aria-label="Not starred"
                                    >
                                      <span class="pf-c-menu__item-action-icon">
                                        <i
                                          class="fas fa-star"
                                          aria-hidden="true"
                                        ></i>
                                      </span>
                                    </button>
                                  </li>
                                  <li class="pf-c-menu__list-item" role="none">
                                    <a
                                      class="pf-c-menu__item"
                                      href="#"
                                      role="menuitem"
                                      target="_blank"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Link 2</span>
                                        <span
                                          class="pf-c-menu__item-external-icon"
                                        >
                                          <i
                                            class="fas fa-external-link-alt"
                                            aria-hidden="true"
                                          ></i>
                                        </span>
                                        <span
                                          class="pf-screen-reader"
                                        >(opens new window)</span>
                                      </span>
                                    </a>
                                    <button
                                      class="pf-c-menu__item-action pf-m-favorite pf-m-favorited"
                                      type="button"
                                      aria-label="Starred"
                                    >
                                      <span class="pf-c-menu__item-action-icon">
                                        <i
                                          class="fas fa-star"
                                          aria-hidden="true"
                                        ></i>
                                      </span>
                                    </button>
                                  </li>
                                </ul>
                              </section>
                            </div>
                          </li>
                        </ul>
                      </section>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="pf-c-toolbar__item pf-m-hidden pf-m-visible-on-sm">
              <div
                class="pf-c-dropdown pf-m-full-height"
                style="--pf-c-dropdown--MaxWidth: 20ch;"
              >
                <button
                  class="pf-c-dropdown__toggle"
                  id="banner-basic-example-masthead-profile-button"
                  aria-expanded="false"
                  type="button"
                >
                  <span class="pf-c-dropdown__toggle-image">
                    <img
                      class="pf-c-avatar"
                      alt="Avatar image"
                      src="/assets/images/img_avatar-light.svg"
                    />
                  </span>
                  <span class="pf-c-dropdown__toggle-text">Ned Username</span>
                  <span class="pf-c-dropdown__toggle-icon">
                    <i class="fas fa-caret-down" aria-hidden="true"></i>
                  </span>
                </button>
                <div class="pf-c-dropdown__menu" hidden>
                  <section class="pf-c-dropdown__group">
                    <div class="pf-c-dropdown__menu-item pf-m-text">
                      <div class="pf-u-font-size-sm">Account number:</div>
                      <div>123456789</div>
                    </div>
                    <div class="pf-c-dropdown__menu-item pf-m-text">
                      <div class="pf-u-font-size-sm">Username:</div>
                      <div>mshaksho@redhat.com</div>
                    </div>
                  </section>
                  <hr class="pf-c-divider" />
                  <section class="pf-c-dropdown__group">
                    <ul>
                      <li>
                        <a class="pf-c-dropdown__menu-item" href="#">My profile</a>
                      </li>
                      <li>
                        <a
                          class="pf-c-dropdown__menu-item"
                          href="#"
                        >User management</a>
                      </li>
                      <li>
                        <a class="pf-c-dropdown__menu-item" href="#">Logout</a>
                      </li>
                    </ul>
                  </section>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <div class="pf-c-page__sidebar">
    <div class="pf-c-page__sidebar-body">
      <nav
        class="pf-c-nav"
        id="banner-basic-example-primary-nav"
        aria-label="Global"
      >
        <ul class="pf-c-nav__list">
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">System panel</a>
          </li>
          <li class="pf-c-nav__item">
            <a
              href="#"
              class="pf-c-nav__link pf-m-current"
              aria-current="page"
            >Policy</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Authentication</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Network services</a>
          </li>
          <li class="pf-c-nav__item">
            <a href="#" class="pf-c-nav__link">Server</a>
          </li>
        </ul>
      </nav>
    </div>
  </div>
  <main
    class="pf-c-page__main"
    tabindex="-1"
    id="main-content-banner-basic-example"
  >
    <div class="pf-c-banner pf-m-sticky">
      <div
        class="pf-l-flex pf-m-justify-content-center pf-m-justify-content-space-between-on-lg pf-m-nowrap"
      >
        <div class="pf-u-display-none pf-u-display-block-on-lg">Localhost</div>
        <div
          class="pf-u-display-none pf-u-display-block-on-lg"
        >This message is sticky to the top or bottom of the page.</div>
        <div
          class="pf-u-display-none-on-lg"
        >Drop some text on mobile, truncate if needed.</div>
        <div class="pf-u-display-none pf-u-display-block-on-lg">Ned Username</div>
      </div>
    </div>
    <section class="pf-c-page__main-breadcrumb pf-m-limit-width">
      <div class="pf-c-page__main-body">
        <nav class="pf-c-breadcrumb" aria-label="breadcrumb">
          <ol class="pf-c-breadcrumb__list">
            <li class="pf-c-breadcrumb__item">
              <a href="#" class="pf-c-breadcrumb__link">Section home</a>
            </li>
            <li class="pf-c-breadcrumb__item">
              <span class="pf-c-breadcrumb__item-divider">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </span>

              <a href="#" class="pf-c-breadcrumb__link">Section title</a>
            </li>
            <li class="pf-c-breadcrumb__item">
              <span class="pf-c-breadcrumb__item-divider">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </span>

              <a href="#" class="pf-c-breadcrumb__link">Section title</a>
            </li>
            <li class="pf-c-breadcrumb__item">
              <span class="pf-c-breadcrumb__item-divider">
                <i class="fas fa-angle-right" aria-hidden="true"></i>
              </span>

              <a
                href="#"
                class="pf-c-breadcrumb__link pf-m-current"
                aria-current="page"
              >Section landing</a>
            </li>
          </ol>
        </nav>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-limit-width pf-m-light">
      <div class="pf-c-page__main-body">
        <div class="pf-c-content">
          <h1>Main title</h1>
          <p>This is a full page demo.</p>
        </div>
      </div>
    </section>
    <section class="pf-c-page__main-section pf-m-limit-width">
      <div class="pf-c-page__main-body">
        <div class="pf-l-gallery pf-m-gutter">
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
          <div class="pf-c-card">
            <div class="pf-c-card__body">This is a card</div>
          </div>
        </div>
      </div>
    </section>
  </main>
</div>

```

### Top/bottom

```html isFullscreen
<div
  class="pf-l-flex pf-m-column pf-m-nowrap pf-m-space-items-none"
  style="height: 100%;"
>
  <div class="pf-c-banner pf-m-sticky">
    <div
      class="pf-l-flex pf-m-justify-content-center pf-m-justify-content-space-between-on-lg pf-m-nowrap"
      style="height: 100%;"
    >
      <div class="pf-u-display-none pf-u-display-block-on-lg">Localhost</div>
      <div
        class="pf-u-display-none pf-u-display-block-on-lg"
      >This message is sticky to the top or bottom of the page.</div>
      <div
        class="pf-u-display-none-on-lg"
      >Drop some text on mobile, truncate if needed.</div>
      <div class="pf-u-display-none pf-u-display-block-on-lg">Ned Username</div>
    </div>
  </div>
  <div class="pf-l-flex__item pf-m-grow" style="min-height: 0;">
    <div class="pf-c-page" id="banner-top-bottom-example">
      <a
        class="pf-c-skip-to-content pf-c-button pf-m-primary"
        href="#main-content-banner-top-bottom-example"
      >Skip to content</a>
      <header class="pf-c-masthead" id="banner-top-bottom-example-masthead">
        <span class="pf-c-masthead__toggle">
          <button
            class="pf-c-button pf-m-plain"
            type="button"
            aria-label="Global navigation"
          >
            <i class="fas fa-bars" aria-hidden="true"></i>
          </button>
        </span>
        <div class="pf-c-masthead__main">
          <a class="pf-c-masthead__brand" href="#">
            <picture
              class="pf-c-brand pf-m-picture"
              style="--pf-c-brand--Width: 180px; --pf-c-brand--Width-on-md: 180px; --pf-c-brand--Width-on-2xl: 220px;"
            >
              <source
                media="(min-width: 768px)"
                srcset="/assets/images/logo__pf--reverse-on-md.svg"
              />
              <source srcset="/assets/images/logo__pf--reverse--base.svg" />
              <img
                src="/assets/images/logo__pf--reverse--base.png"
                alt="Fallback patternFly default logo"
              />
            </picture>
          </a>
        </div>
        <div class="pf-c-masthead__content">
          <div
            class="pf-c-toolbar pf-m-full-height pf-m-static"
            id="banner-top-bottom-example-masthead-toolbar"
          >
            <div class="pf-c-toolbar__content">
              <div class="pf-c-toolbar__content-section">
                <div
                  class="pf-c-toolbar__group pf-m-icon-button-group pf-m-align-right pf-m-spacer-none pf-m-spacer-md-on-md"
                >
                  <div
                    class="pf-c-toolbar__group pf-m-icon-button-group pf-m-hidden pf-m-visible-on-lg"
                  >
                    <div class="pf-c-toolbar__item">
                      <nav
                        class="pf-c-app-launcher"
                        aria-label="Application launcher"
                        id="banner-top-bottom-example-masthead-application-launcher"
                      >
                        <button
                          class="pf-c-app-launcher__toggle"
                          type="button"
                          id="banner-top-bottom-example-masthead-application-launcher-button"
                          aria-expanded="false"
                          aria-label="Application launcher"
                        >
                          <i class="fas fa-th" aria-hidden="true"></i>
                        </button>
                        <div
                          class="pf-c-app-launcher__menu pf-m-align-right"
                          hidden
                        >
                          <div class="pf-c-app-launcher__menu-search">
                            <div class="pf-c-search-input">
                              <div class="pf-c-search-input__bar">
                                <span class="pf-c-search-input__text">
                                  <span class="pf-c-search-input__icon">
                                    <i
                                      class="fas fa-search fa-fw"
                                      aria-hidden="true"
                                    ></i>
                                  </span>
                                  <input
                                    class="pf-c-search-input__text-input"
                                    type="text"
                                    placeholder="Filter by name"
                                    aria-label="Filter by name"
                                  />
                                </span>
                              </div>
                            </div>
                          </div>
                          <section class="pf-c-app-launcher__group">
                            <h1 class="pf-c-app-launcher__group-title">Favorites</h1>
                            <ul>
                              <li
                                class="pf-c-app-launcher__menu-wrapper pf-m-external pf-m-favorite"
                              >
                                <a class="pf-c-app-launcher__menu-item">
                                  Link 1
                                  <span
                                    class="pf-c-app-launcher__menu-item-external-icon"
                                  >
                                    <i
                                      class="fas fa-external-link-alt"
                                      aria-hidden="true"
                                    ></i>
                                  </span>
                                  <span
                                    class="pf-screen-reader"
                                  >(opens new window)</span>
                                </a>
                                <button
                                  class="pf-c-app-launcher__menu-item pf-m-action"
                                  type="button"
                                  aria-label="Favorite"
                                >
                                  <i class="fas fa-star" aria-hidden="true"></i>
                                </button>
                              </li>
                              <li
                                class="pf-c-app-launcher__menu-wrapper pf-m-external"
                              >
                                <a class="pf-c-app-launcher__menu-item">
                                  Link 2
                                  <span
                                    class="pf-c-app-launcher__menu-item-external-icon"
                                  >
                                    <i
                                      class="fas fa-external-link-alt"
                                      aria-hidden="true"
                                    ></i>
                                  </span>
                                  <span
                                    class="pf-screen-reader"
                                  >(opens new window)</span>
                                </a>
                                <button
                                  class="pf-c-app-launcher__menu-item pf-m-action"
                                  type="button"
                                  aria-label="Favorite"
                                >
                                  <i class="fas fa-star" aria-hidden="true"></i>
                                </button>
                              </li>
                            </ul>
                          </section>
                          <hr class="pf-c-divider" />
                          <section class="pf-c-app-launcher__group">
                            <h1 class="pf-c-app-launcher__group-title">Group 1</h1>
                            <ul>
                              <li
                                class="pf-c-app-launcher__menu-wrapper pf-m-external"
                              >
                                <a class="pf-c-app-launcher__menu-item">
                                  Link 1
                                  <span
                                    class="pf-c-app-launcher__menu-item-external-icon"
                                  >
                                    <i
                                      class="fas fa-external-link-alt"
                                      aria-hidden="true"
                                    ></i>
                                  </span>
                                  <span
                                    class="pf-screen-reader"
                                  >(opens new window)</span>
                                </a>
                                <button
                                  class="pf-c-app-launcher__menu-item pf-m-action"
                                  type="button"
                                  aria-label="Favorite"
                                >
                                  <i class="fas fa-star" aria-hidden="true"></i>
                                </button>
                              </li>
                              <li
                                class="pf-c-app-launcher__menu-wrapper pf-m-external pf-m-favorite"
                              >
                                <a class="pf-c-app-launcher__menu-item">
                                  Link 2
                                  <span
                                    class="pf-c-app-launcher__menu-item-external-icon"
                                  >
                                    <i
                                      class="fas fa-external-link-alt"
                                      aria-hidden="true"
                                    ></i>
                                  </span>
                                  <span
                                    class="pf-screen-reader"
                                  >(opens new window)</span>
                                </a>
                                <button
                                  class="pf-c-app-launcher__menu-item pf-m-action"
                                  type="button"
                                  aria-label="Favorite"
                                >
                                  <i class="fas fa-star" aria-hidden="true"></i>
                                </button>
                              </li>
                            </ul>
                          </section>
                        </div>
                      </nav>
                    </div>
                    <div class="pf-c-toolbar__item">
                      <div class="pf-c-dropdown">
                        <button
                          class="pf-c-dropdown__toggle pf-m-plain"
                          id="banner-top-bottom-example-masthead-settings-button"
                          aria-expanded="false"
                          type="button"
                          aria-label="Settings"
                        >
                          <i class="fas fa-cog" aria-hidden="true"></i>
                        </button>
                        <ul
                          class="pf-c-dropdown__menu pf-m-align-right"
                          aria-labelledby="banner-top-bottom-example-masthead-settings-button"
                          hidden
                        >
                          <li>
                            <button
                              class="pf-c-dropdown__menu-item"
                              type="button"
                            >Settings</button>
                          </li>
                          <li>
                            <button
                              class="pf-c-dropdown__menu-item"
                              type="button"
                            >Use the beta release</button>
                          </li>
                        </ul>
                      </div>
                    </div>
                    <div class="pf-c-toolbar__item">
                      <div class="pf-c-dropdown">
                        <button
                          class="pf-c-dropdown__toggle pf-m-plain"
                          id="banner-top-bottom-example-masthead-help-button"
                          aria-expanded="false"
                          type="button"
                          aria-label="Help"
                        >
                          <i class="fas fa-question-circle" aria-hidden="true"></i>
                        </button>
                        <ul
                          class="pf-c-dropdown__menu pf-m-align-right"
                          aria-labelledby="banner-top-bottom-example-masthead-help-button"
                          hidden
                        >
                          <li>
                            <button
                              class="pf-c-dropdown__menu-item"
                              type="button"
                            >Support options</button>
                          </li>
                          <li>
                            <button
                              class="pf-c-dropdown__menu-item"
                              type="button"
                            >Open support case</button>
                          </li>
                          <li>
                            <button
                              class="pf-c-dropdown__menu-item"
                              type="button"
                            >API documentation</button>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                  <div class="pf-c-toolbar__item pf-m-hidden-on-lg">
                    <div class="pf-c-dropdown">
                      <button
                        class="pf-c-menu-toggle pf-m-plain"
                        type="button"
                        aria-expanded="false"
                        aria-label="Actions"
                      >
                        <i class="fas fa-ellipsis-v" aria-hidden="true"></i>
                      </button>
                      <div
                        class="pf-c-menu pf-m-drilldown pf-m-align-right"
                        hidden
                      >
                        <div class="pf-c-menu__content">
                          <section class="pf-c-menu__group pf-m-hidden-on-sm">
                            <ul class="pf-c-menu__list" role="menu">
                              <li
                                class="pf-c-menu__list-item pf-m-disabled"
                                role="none"
                              >
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  disabled
                                  role="menuitem"
                                >
                                  <span class="pf-c-menu__item-description">
                                    <div class="pf-u-font-size-sm">Username:</div>
                                    <div class="pf-u-font-size-md">ned_username</div>
                                  </span>
                                </button>
                              </li>
                              <li
                                class="pf-c-menu__list-item pf-m-disabled"
                                role="none"
                              >
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  disabled
                                  role="menuitem"
                                >
                                  <span class="pf-c-menu__item-description">
                                    <div
                                      class="pf-u-font-size-sm"
                                    >Account number:</div>
                                    <div class="pf-u-font-size-md">123456789</div>
                                  </span>
                                </button>
                              </li>
                              <li class="pf-c-divider" role="separator"></li>
                              <li class="pf-c-menu__list-item" role="none">
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  role="menuitem"
                                >
                                  <span class="pf-c-menu__item-main">
                                    <span
                                      class="pf-c-menu__item-text"
                                    >My profile</span>
                                  </span>
                                </button>
                              </li>
                              <li class="pf-c-menu__list-item" role="none">
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  role="menuitem"
                                >
                                  <span class="pf-c-menu__item-main">
                                    <span
                                      class="pf-c-menu__item-text"
                                    >User management</span>
                                  </span>
                                </button>
                              </li>
                              <li class="pf-c-menu__list-item" role="none">
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  role="menuitem"
                                >
                                  <span class="pf-c-menu__item-main">
                                    <span class="pf-c-menu__item-text">Logout</span>
                                  </span>
                                </button>
                              </li>
                            </ul>
                          </section>
                          <hr class="pf-c-divider pf-m-hidden-on-sm" />
                          <section class="pf-c-menu__group">
                            <ul class="pf-c-menu__list" role="menu">
                              <li class="pf-c-menu__list-item" role="none">
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  role="menuitem"
                                  aria-expanded="false"
                                >
                                  <span class="pf-c-menu__item-main">
                                    <span class="pf-c-menu__item-icon">
                                      <i
                                        class="fas fa-fw fa-cog"
                                        aria-hidden="true"
                                      ></i>
                                    </span>
                                    <span class="pf-c-menu__item-text">Settings</span>
                                    <span class="pf-c-menu__item-toggle-icon">
                                      <i class="fas fa-angle-right"></i>
                                    </span>
                                  </span>
                                </button>
                                <div class="pf-c-menu" hidden>
                                  <div class="pf-c-menu__content">
                                    <ul class="pf-c-menu__list" role="menu">
                                      <li
                                        class="pf-c-menu__list-item pf-m-drill-up"
                                        role="none"
                                      >
                                        <button
                                          class="pf-c-menu__item"
                                          type="button"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-toggle-icon"
                                            >
                                              <i class="fas fa-angle-left"></i>
                                            </span>
                                            <span class="pf-c-menu__item-icon">
                                              <i
                                                class="fas fa-fw fa-cog"
                                                aria-hidden="true"
                                              ></i>
                                            </span>
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Settings</span>
                                          </span>
                                        </button>
                                      </li>
                                      <li class="pf-c-divider" role="separator"></li>
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Customer support</span>
                                          </span>
                                        </a>
                                      </li>
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >About</span>
                                          </span>
                                        </a>
                                      </li>
                                    </ul>
                                  </div>
                                </div>
                              </li>

                              <li class="pf-c-menu__list-item" role="none">
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  role="menuitem"
                                  aria-expanded="false"
                                >
                                  <span class="pf-c-menu__item-main">
                                    <span class="pf-c-menu__item-icon">
                                      <i
                                        class="fas fa-fw fa-pf-icon pf-icon-help"
                                        aria-hidden="true"
                                      ></i>
                                    </span>
                                    <span class="pf-c-menu__item-text">Help</span>
                                    <span class="pf-c-menu__item-toggle-icon">
                                      <i class="fas fa-angle-right"></i>
                                    </span>
                                  </span>
                                </button>
                                <div class="pf-c-menu" hidden>
                                  <div class="pf-c-menu__content">
                                    <ul class="pf-c-menu__list" role="menu">
                                      <li
                                        class="pf-c-menu__list-item pf-m-drill-up"
                                        role="none"
                                      >
                                        <button
                                          class="pf-c-menu__item"
                                          type="button"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-toggle-icon"
                                            >
                                              <i class="fas fa-angle-left"></i>
                                            </span>
                                            <span class="pf-c-menu__item-icon">
                                              <i
                                                class="fas fa-fw fa-pf-icon pf-icon-help"
                                                aria-hidden="true"
                                              ></i>
                                            </span>
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Help</span>
                                          </span>
                                        </button>
                                      </li>
                                      <li class="pf-c-divider" role="separator"></li>
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Support options</span>
                                          </span>
                                        </a>
                                      </li>
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Open support case</span>
                                          </span>
                                        </a>
                                      </li>
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >API documentation</span>
                                          </span>
                                        </a>
                                      </li>
                                    </ul>
                                  </div>
                                </div>
                              </li>

                              <li class="pf-c-menu__list-item" role="none">
                                <button
                                  class="pf-c-menu__item"
                                  type="button"
                                  role="menuitem"
                                >
                                  <span class="pf-c-menu__item-main">
                                    <span class="pf-c-menu__item-icon">
                                      <i
                                        class="fas fa-fw fa-th"
                                        aria-hidden="true"
                                      ></i>
                                    </span>
                                    <span
                                      class="pf-c-menu__item-text"
                                    >Application launcher</span>
                                    <span class="pf-c-menu__item-toggle-icon">
                                      <i class="fas fa-angle-right"></i>
                                    </span>
                                  </span>
                                </button>
                                <div class="pf-c-menu" hidden>
                                  <div class="pf-c-menu__header">
                                    <button
                                      class="pf-c-menu__item"
                                      type="button"
                                      role="menuitem"
                                    >
                                      <span class="pf-c-menu__item-main">
                                        <span
                                          class="pf-c-menu__item-toggle-icon"
                                        >
                                          <i class="fas fa-angle-left"></i>
                                        </span>
                                        <span class="pf-c-menu__item-icon">
                                          <i
                                            class="fas fa-fw fa-th"
                                            aria-hidden="true"
                                          ></i>
                                        </span>
                                        <span
                                          class="pf-c-menu__item-text"
                                        >Application launcher</span>
                                      </span>
                                    </button>
                                  </div>
                                  <div class="pf-c-menu__search">
                                    <div class="pf-c-menu__search-input">
                                      <div class="pf-c-search-input">
                                        <div class="pf-c-search-input__bar">
                                          <span class="pf-c-search-input__text">
                                            <span
                                              class="pf-c-search-input__icon"
                                            >
                                              <i
                                                class="fas fa-search fa-fw"
                                                aria-hidden="true"
                                              ></i>
                                            </span>
                                            <input
                                              class="pf-c-search-input__text-input"
                                              type="text"
                                              placeholder="Search"
                                              aria-label="Search"
                                            />
                                          </span>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                  <hr class="pf-c-divider" />
                                  <section class="pf-c-menu__group">
                                    <h1 class="pf-c-menu__group-title">Favorites</h1>
                                    <ul class="pf-c-menu__list" role="menu">
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Link 1</span>
                                          </span>
                                        </a>
                                        <button
                                          class="pf-c-menu__item-action pf-m-favorite pf-m-favorited"
                                          type="button"
                                          aria-label="Starred"
                                        >
                                          <span
                                            class="pf-c-menu__item-action-icon"
                                          >
                                            <i
                                              class="fas fa-star"
                                              aria-hidden="true"
                                            ></i>
                                          </span>
                                        </button>
                                      </li>
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                          target="_blank"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Link 2</span>
                                            <span
                                              class="pf-c-menu__item-external-icon"
                                            >
                                              <i
                                                class="fas fa-external-link-alt"
                                                aria-hidden="true"
                                              ></i>
                                            </span>
                                            <span
                                              class="pf-screen-reader"
                                            >(opens new window)</span>
                                          </span>
                                        </a>
                                        <button
                                          class="pf-c-menu__item-action pf-m-favorite"
                                          type="button"
                                          aria-label="Not starred"
                                        >
                                          <span
                                            class="pf-c-menu__item-action-icon"
                                          >
                                            <i
                                              class="fas fa-star"
                                              aria-hidden="true"
                                            ></i>
                                          </span>
                                        </button>
                                      </li>
                                    </ul>
                                  </section>
                                  <hr class="pf-c-divider" />
                                  <section class="pf-c-menu__group">
                                    <h1 class="pf-c-menu__group-title">Group 1</h1>
                                    <ul class="pf-c-menu__list" role="menu">
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Link 1</span>
                                          </span>
                                        </a>
                                        <button
                                          class="pf-c-menu__item-action pf-m-favorite"
                                          type="button"
                                          aria-label="Not starred"
                                        >
                                          <span
                                            class="pf-c-menu__item-action-icon"
                                          >
                                            <i
                                              class="fas fa-star"
                                              aria-hidden="true"
                                            ></i>
                                          </span>
                                        </button>
                                      </li>
                                      <li
                                        class="pf-c-menu__list-item"
                                        role="none"
                                      >
                                        <a
                                          class="pf-c-menu__item"
                                          href="#"
                                          role="menuitem"
                                          target="_blank"
                                        >
                                          <span class="pf-c-menu__item-main">
                                            <span
                                              class="pf-c-menu__item-text"
                                            >Link 2</span>
                                            <span
                                              class="pf-c-menu__item-external-icon"
                                            >
                                              <i
                                                class="fas fa-external-link-alt"
                                                aria-hidden="true"
                                              ></i>
                                            </span>
                                            <span
                                              class="pf-screen-reader"
                                            >(opens new window)</span>
                                          </span>
                                        </a>
                                        <button
                                          class="pf-c-menu__item-action pf-m-favorite pf-m-favorited"
                                          type="button"
                                          aria-label="Starred"
                                        >
                                          <span
                                            class="pf-c-menu__item-action-icon"
                                          >
                                            <i
                                              class="fas fa-star"
                                              aria-hidden="true"
                                            ></i>
                                          </span>
                                        </button>
                                      </li>
                                    </ul>
                                  </section>
                                </div>
                              </li>
                            </ul>
                          </section>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="pf-c-toolbar__item pf-m-hidden pf-m-visible-on-sm">
                  <div
                    class="pf-c-dropdown pf-m-full-height"
                    style="--pf-c-dropdown--MaxWidth: 20ch;"
                  >
                    <button
                      class="pf-c-dropdown__toggle"
                      id="banner-top-bottom-example-masthead-profile-button"
                      aria-expanded="false"
                      type="button"
                    >
                      <span class="pf-c-dropdown__toggle-image">
                        <img
                          class="pf-c-avatar"
                          alt="Avatar image"
                          src="/assets/images/img_avatar-light.svg"
                        />
                      </span>
                      <span class="pf-c-dropdown__toggle-text">Ned Username</span>
                      <span class="pf-c-dropdown__toggle-icon">
                        <i class="fas fa-caret-down" aria-hidden="true"></i>
                      </span>
                    </button>
                    <div class="pf-c-dropdown__menu" hidden>
                      <section class="pf-c-dropdown__group">
                        <div class="pf-c-dropdown__menu-item pf-m-text">
                          <div class="pf-u-font-size-sm">Account number:</div>
                          <div>123456789</div>
                        </div>
                        <div class="pf-c-dropdown__menu-item pf-m-text">
                          <div class="pf-u-font-size-sm">Username:</div>
                          <div>mshaksho@redhat.com</div>
                        </div>
                      </section>
                      <hr class="pf-c-divider" />
                      <section class="pf-c-dropdown__group">
                        <ul>
                          <li>
                            <a
                              class="pf-c-dropdown__menu-item"
                              href="#"
                            >My profile</a>
                          </li>
                          <li>
                            <a
                              class="pf-c-dropdown__menu-item"
                              href="#"
                            >User management</a>
                          </li>
                          <li>
                            <a class="pf-c-dropdown__menu-item" href="#">Logout</a>
                          </li>
                        </ul>
                      </section>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </header>
      <div class="pf-c-page__sidebar">
        <div class="pf-c-page__sidebar-body">
          <nav
            class="pf-c-nav"
            id="banner-top-bottom-example-primary-nav"
            aria-label="Global"
          >
            <ul class="pf-c-nav__list">
              <li class="pf-c-nav__item">
                <a href="#" class="pf-c-nav__link">System panel</a>
              </li>
              <li class="pf-c-nav__item">
                <a
                  href="#"
                  class="pf-c-nav__link pf-m-current"
                  aria-current="page"
                >Policy</a>
              </li>
              <li class="pf-c-nav__item">
                <a href="#" class="pf-c-nav__link">Authentication</a>
              </li>
              <li class="pf-c-nav__item">
                <a href="#" class="pf-c-nav__link">Network services</a>
              </li>
              <li class="pf-c-nav__item">
                <a href="#" class="pf-c-nav__link">Server</a>
              </li>
            </ul>
          </nav>
        </div>
      </div>
      <main
        class="pf-c-page__main"
        tabindex="-1"
        id="main-content-banner-top-bottom-example"
      >
        <section class="pf-c-page__main-breadcrumb pf-m-limit-width">
          <div class="pf-c-page__main-body">
            <nav class="pf-c-breadcrumb" aria-label="breadcrumb">
              <ol class="pf-c-breadcrumb__list">
                <li class="pf-c-breadcrumb__item">
                  <a href="#" class="pf-c-breadcrumb__link">Section home</a>
                </li>
                <li class="pf-c-breadcrumb__item">
                  <span class="pf-c-breadcrumb__item-divider">
                    <i class="fas fa-angle-right" aria-hidden="true"></i>
                  </span>

                  <a href="#" class="pf-c-breadcrumb__link">Section title</a>
                </li>
                <li class="pf-c-breadcrumb__item">
                  <span class="pf-c-breadcrumb__item-divider">
                    <i class="fas fa-angle-right" aria-hidden="true"></i>
                  </span>

                  <a href="#" class="pf-c-breadcrumb__link">Section title</a>
                </li>
                <li class="pf-c-breadcrumb__item">
                  <span class="pf-c-breadcrumb__item-divider">
                    <i class="fas fa-angle-right" aria-hidden="true"></i>
                  </span>

                  <a
                    href="#"
                    class="pf-c-breadcrumb__link pf-m-current"
                    aria-current="page"
                  >Section landing</a>
                </li>
              </ol>
            </nav>
          </div>
        </section>
        <section class="pf-c-page__main-section pf-m-limit-width pf-m-light">
          <div class="pf-c-page__main-body">
            <div class="pf-c-content">
              <h1>Main title</h1>
              <p>This is a full page demo.</p>
            </div>
          </div>
        </section>
        <section class="pf-c-page__main-section pf-m-limit-width">
          <div class="pf-c-page__main-body">
            <div class="pf-l-gallery pf-m-gutter">
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
              <div class="pf-c-card">
                <div class="pf-c-card__body">This is a card</div>
              </div>
            </div>
          </div>
        </section>
      </main>
    </div>
  </div>
  <div class="pf-c-banner pf-m-sticky">
    <div
      class="pf-l-flex pf-m-justify-content-center pf-m-justify-content-space-between-on-lg pf-m-nowrap"
      style="height: 100%;"
    >
      <div class="pf-u-display-none pf-u-display-block-on-lg">Localhost</div>
      <div
        class="pf-u-display-none pf-u-display-block-on-lg"
      >This message is sticky to the top or bottom of the page.</div>
      <div
        class="pf-u-display-none-on-lg"
      >Drop some text on mobile, truncate if needed.</div>
      <div class="pf-u-display-none pf-u-display-block-on-lg">Ned Username</div>
    </div>
  </div>
</div>

```
